> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/guides/api/pdftron-frameworks.md).

# Apryse SDK API Documentation

Explore the PDFNet.framework and Tools.framework API Documentation for Apryse iOS SDK. Enhance PDF interaction with UI controls, annotation tools, and more. Optimize user experience with customizable

| PDFNet.framework API Documentation                                    | Tools.framework API Documentation                                    |
| --------------------------------------------------------------------- | -------------------------------------------------------------------- |
| [PDFNet API Documentation](https://sdk.apryse.com/api/ios/index.html) | [Tools API Documentation](https://sdk.apryse.com/api/ios/index.html) |

The Apryse iOS SDK is comprised of two frameworks:

The [**Tools framework API**](https://sdk.apryse.com/api/ios/index.html) provides PDF interaction functionality as well as the UI controls included with the SDK. Go here if you are looking to customize how your users will interact with PDFs. Some important classes you will find in the Tools API are:

* [PTDocumentController](https://sdk.apryse.com/api/ios/Classes/PTDocumentController.html)
* [PTTabbedDocumentViewController](https://sdk.apryse.com/api/ios/Classes/PTTabbedDocumentViewController.html)
* [PTToolManager](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html)

The [**PDFNet framework API**](https://sdk.apryse.com/api/ios/index.html) provides functionality for working with and manipulating PDF documents, as well as their elements such as pages, interactive forms, bookmarks, graphical elements on the page, and so on. See [Server SDK docs](/core/get-started/readme.md) for higher level programmatic PDF processing APIs. Some important classes you will find in the PDFNet API are:

* [PTPDFViewCtrl](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html)
* [PTPDFDoc](https://sdk.apryse.com/api/ios/Classes/PTPDFDoc.html)

## Component Overview

| Component            | Framework | Functionality                                                                                                                                        |
| -------------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| PTDocumentController | Tools     | Fully-featured PDF viewer with interactive controls                                                                                                  |
| Annotation tools     | Tools     | Interactive tools for creation/modification/deletion of annotations, as well as text selection, form-filling, link-handling, and multimedia controls |
| UI components        | Tools     | Built-in components to display e.g. an annotation toolbar, document outline, annotation list, user bookmarks and more                                |
| PTPDFViewCtrl        | PDFNet    | A utility class for interactive rendering of PDF documents                                                                                           |
| PTPDFDoc             | PDFNet    | A high-level class describing a single PDF document                                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/guides/api/pdftron-frameworks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
